class_name Planete
extends BaseButton


signal niveau_choisi(PackedScene)

@export var niveau: PackedScene


func _ready() -> void:
	pressed.connect(_quand_planete_est_cliquee)


func _quand_planete_est_cliquee() -> void:
	niveau_choisi.emit(niveau)
